> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/api-references-1/readme/api-reference-36/models.md).

# Models

## The TimeProperties object

```json
{"openapi":"3.0.1","info":{"title":"Shopping List Service","version":"0.0.1"},"components":{"schemas":{"TimeProperties":{"type":"object","properties":{"epochSecond":{"type":"number"},"nano":{"type":"number"}}}}}}
```

## The shoppinglistItem object

```json
{"openapi":"3.0.1","info":{"title":"Shopping List Service","version":"0.0.1"},"components":{"schemas":{"shoppinglistItem":{"title":"ShoppinglistItem","type":"object","properties":{"id":{"type":"integer"},"productId":{"type":"string"},"quantity":{"type":"number"},"cuttingOption":{"type":"string"},"servicePackagingOption":{"type":"string"},"comment":{"type":"string"},"mixins":{"type":"object","additionalProperties":true}},"required":["productId","quantity"]}}}}
```

## The getShoppingLists object

```json
{"openapi":"3.0.1","info":{"title":"Shopping List Service","version":"0.0.1"},"components":{"schemas":{"getShoppingLists":{"type":"array","items":{"$ref":"#/components/schemas/getShoppingList"}},"getShoppingList":{"type":"object","properties":{"customerId":{"description":"Unique identifier of customer","type":"string"},"metadata":{"deprecated":true,"type":"object","properties":{"createdAt":{"$ref":"#/components/schemas/TimeProperties"},"modifiedAt":{"$ref":"#/components/schemas/TimeProperties"},"version":{"type":"number"}}}},"additionalProperties":{"type":"object","properties":{"name":{"type":"string"},"items":{"type":"array","items":{"$ref":"#/components/schemas/shoppinglistItem"}},"mixins":{"type":"object","additionalProperties":true,"description":"Map of custom shopping lists attributes.\n"},"metadata":{"properties":{"mixins":{"type":"object","additionalProperties":true,"description":"Mixins schemas"},"createdAt":{"$ref":"#/components/schemas/TimeProperties"},"modifiedAt":{"$ref":"#/components/schemas/TimeProperties"},"version":{"type":"number"}}}}}},"TimeProperties":{"type":"object","properties":{"epochSecond":{"type":"number"},"nano":{"type":"number"}}},"shoppinglistItem":{"title":"ShoppinglistItem","type":"object","properties":{"id":{"type":"integer"},"productId":{"type":"string"},"quantity":{"type":"number"},"cuttingOption":{"type":"string"},"servicePackagingOption":{"type":"string"},"comment":{"type":"string"},"mixins":{"type":"object","additionalProperties":true}},"required":["productId","quantity"]}}}}
```

## The getShoppingList object

```json
{"openapi":"3.0.1","info":{"title":"Shopping List Service","version":"0.0.1"},"components":{"schemas":{"getShoppingList":{"type":"object","properties":{"customerId":{"description":"Unique identifier of customer","type":"string"},"metadata":{"deprecated":true,"type":"object","properties":{"createdAt":{"$ref":"#/components/schemas/TimeProperties"},"modifiedAt":{"$ref":"#/components/schemas/TimeProperties"},"version":{"type":"number"}}}},"additionalProperties":{"type":"object","properties":{"name":{"type":"string"},"items":{"type":"array","items":{"$ref":"#/components/schemas/shoppinglistItem"}},"mixins":{"type":"object","additionalProperties":true,"description":"Map of custom shopping lists attributes.\n"},"metadata":{"properties":{"mixins":{"type":"object","additionalProperties":true,"description":"Mixins schemas"},"createdAt":{"$ref":"#/components/schemas/TimeProperties"},"modifiedAt":{"$ref":"#/components/schemas/TimeProperties"},"version":{"type":"number"}}}}}},"TimeProperties":{"type":"object","properties":{"epochSecond":{"type":"number"},"nano":{"type":"number"}}},"shoppinglistItem":{"title":"ShoppinglistItem","type":"object","properties":{"id":{"type":"integer"},"productId":{"type":"string"},"quantity":{"type":"number"},"cuttingOption":{"type":"string"},"servicePackagingOption":{"type":"string"},"comment":{"type":"string"},"mixins":{"type":"object","additionalProperties":true}},"required":["productId","quantity"]}}}}
```

## The ownShoppingListCreateRequest object

```json
{"openapi":"3.0.1","info":{"title":"Shopping List Service","version":"0.0.1"},"components":{"schemas":{"ownShoppingListCreateRequest":{"type":"object","properties":{"name":{"type":"string"},"items":{"type":"array","items":{"$ref":"#/components/schemas/shoppinglistItem"}},"mixins":{"type":"object","additionalProperties":true,"description":"Map of custom shopping lists attributes.\n"},"metadata":{"properties":{"mixins":{"type":"object","additionalProperties":true,"description":"Mixins schemas"}}}},"required":["name"]},"shoppinglistItem":{"title":"ShoppinglistItem","type":"object","properties":{"id":{"type":"integer"},"productId":{"type":"string"},"quantity":{"type":"number"},"cuttingOption":{"type":"string"},"servicePackagingOption":{"type":"string"},"comment":{"type":"string"},"mixins":{"type":"object","additionalProperties":true}},"required":["productId","quantity"]}}}}
```

## The ownShoppingListUpdateRequest object

```json
{"openapi":"3.0.1","info":{"title":"Shopping List Service","version":"0.0.1"},"components":{"schemas":{"ownShoppingListUpdateRequest":{"allOf":[{"$ref":"#/components/schemas/ownShoppingListCreateRequest"}],"properties":{"metadata":{"properties":{"mixins":{"type":"object","additionalProperties":true,"description":"Mixins schemas"},"version":{"type":"integer"}}}}},"ownShoppingListCreateRequest":{"type":"object","properties":{"name":{"type":"string"},"items":{"type":"array","items":{"$ref":"#/components/schemas/shoppinglistItem"}},"mixins":{"type":"object","additionalProperties":true,"description":"Map of custom shopping lists attributes.\n"},"metadata":{"properties":{"mixins":{"type":"object","additionalProperties":true,"description":"Mixins schemas"}}}},"required":["name"]},"shoppinglistItem":{"title":"ShoppinglistItem","type":"object","properties":{"id":{"type":"integer"},"productId":{"type":"string"},"quantity":{"type":"number"},"cuttingOption":{"type":"string"},"servicePackagingOption":{"type":"string"},"comment":{"type":"string"},"mixins":{"type":"object","additionalProperties":true}},"required":["productId","quantity"]}}}}
```

## The employeeShoppingListCreateRequest object

```json
{"openapi":"3.0.1","info":{"title":"Shopping List Service","version":"0.0.1"},"components":{"schemas":{"employeeShoppingListCreateRequest":{"allOf":[{"$ref":"#/components/schemas/ownShoppingListCreateRequest"}],"properties":{"customerId":{"type":"string","description":"Unique identifier of customer"},"mixins":{"type":"object","additionalProperties":true,"description":"Map of custom shopping lists attributes.\n"},"metadata":{"properties":{"mixins":{"type":"object","additionalProperties":true,"description":"Mixins schemas"}}}}},"ownShoppingListCreateRequest":{"type":"object","properties":{"name":{"type":"string"},"items":{"type":"array","items":{"$ref":"#/components/schemas/shoppinglistItem"}},"mixins":{"type":"object","additionalProperties":true,"description":"Map of custom shopping lists attributes.\n"},"metadata":{"properties":{"mixins":{"type":"object","additionalProperties":true,"description":"Mixins schemas"}}}},"required":["name"]},"shoppinglistItem":{"title":"ShoppinglistItem","type":"object","properties":{"id":{"type":"integer"},"productId":{"type":"string"},"quantity":{"type":"number"},"cuttingOption":{"type":"string"},"servicePackagingOption":{"type":"string"},"comment":{"type":"string"},"mixins":{"type":"object","additionalProperties":true}},"required":["productId","quantity"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.emporix.io/api-references-1/readme/api-reference-36/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
